1. ASL Operations
AirHub API
  • Introduction
  • Authentication
    • Overview
    • Get Oauth Token
      POST
  • Briefing
    • Overview
    • B4UFLY
      • What Is B4UFLY
      • The API Basics
      • Location vs Area
      • What's New in v2
      • v2
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
      • v1
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
  • Data
    • Positions
      • Send Positions
    • Elevation v1
      • Elevation
    • Elevation v2
      • Elevation
  • Operations
    • ASL Operations
      • List Operations
        GET
      • Create Operation
        POST
      • Get Operation
        GET
      • Delete Operation
        DELETE
      • Update Operation
        PUT
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
        • Delete Operation
        • Create Operation
        • Update Operation
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
      • Get Ephemeral Operation
      • Delete Ephemeral Operation
      • Claim Ephemeral Operation
  • Surface, Risk, and Routing
    • Overview
    • Surface Layers
      • Get Surface Layer Access
    • Risk and Routing
      • Classify Risk
      • Generate Route
      • Surface Hexbin
  • Vector Tiles
    • Overview
AirHub® Portal (Sandbox)
  1. ASL Operations

List Operations

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
GET
/v1/operations
Last modified:2026-04-02 22:03:32
Scope: operation:read
This method will return a list of all ASL Operations the requesting user is permitted to view.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://airhub-api-sandbox.airspacelink.com/v1/operations?dateRangeStart&dateRangeEnd&id&flightType&pilotId&aircraftId&ownerId&name&desc&keyword&authorizationProvider&authorizationProviderFilter'

Responses

🟢200
application/json
A successful response.
Body

Example
{
    "operations": [
        {
            "id": "ed0bcc4f-9984-467d-bcbe-7b048c85af90",
            "name": "Operation 97",
            "pilotId": "11a3776c-338b-4c6f-8e9b-9c89ca6ecbc1",
            "boundary": {
                "type": "Polygon",
                "coordinates": [
                    [
                        [
                            -78.55714924875102,
                            38.15773996731016
                        ],
                        [
                            -78.55714924875102,
                            38.121934862230276
                        ],
                        [
                            -78.51075174761395,
                            38.121934862230276
                        ],
                        [
                            -78.51075174761395,
                            38.15773996731016
                        ],
                        [
                            -78.55714924875102,
                            38.15773996731016
                        ]
                    ]
                ]
            },
            "minAltitude": 0,
            "maxAltitude": 200,
            "startTime": "2024-08-23T20:25:00.000Z",
            "endTime": "2024-08-23T21:25:00.000Z",
            "aircraftId": "45dbf9a6-8113-4686-b31e-dc2d5af4adde",
            "timezone": "America/New_York",
            "altitudeUnit": "ALTITUDE_UNIT_FEET",
            "altitudeReference": "ALTITUDE_REFERENCE_AGL",
            "flightType": "FLIGHT_TYPE_COMMERCIAL",
            "authorizationProviders": [
                "APPROVAL_PROVIDER_LAANC"
            ],
            "desc": "Flight around Charlottesville",
            "createdBy": "7e72c37c-3111-40d6-986b-d9403e55303a",
            "createdDate": "2024-08-23T20:21:22.916128Z",
            "lastEditedBy": "7e72c37c-3111-40d6-986b-d9403e55303a",
            "lastEditedDate": "2024-08-24T20:21:22.916128Z"
        }
    ]
}
🟠403
🟠404
⚪default
Modified at 2026-04-02 22:03:32
Previous
Elevation
Next
Create Operation
Built with